import { useDictionaryStoreHook } from "@/store";
const { dicts } = useDictionaryStoreHook();
export const columns = [
  {
    label: "物料编号",
    prop: "materialCode",
    hide:true,
    display:false
  },
  {
    label: "物料名称",
    prop: "materialName",
    rules: [{
      required: true,
      message: "请选择物料名称",
      trigger: "blur"
    }],
    click: ({ value, column }) => {
      if(column.boxType){
        dialog.visible = true
      }
    },
  },
  {
    label: "产线",
    prop: "productionLineName",
    hide:true,
    display:false
  },
  {
    label: "产能",
    prop: "capacity",
    rules: [{
      required: true,
      message: "请填写产能",
      trigger: "blur"
    }],
  },
  {
    label: "最小齐套数",
    prop: "minCapacity",
    rules: [{
      required: true,
      message: "请填写产能",
      trigger: "blur"
    }],
  },

]


